using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telecomunicacoes;

namespace TeleCS
{
    public partial class FrmNovoCartao : TeleCS.FrmPrincipal
    {
        public FrmNovoCartao()
        {
            InitializeComponent();
        }

        private void FrmNovoCartao_Load(object sender, EventArgs e)
        {
            ITarifario tarifario = Factory.CriaServicoTarifario();
            DataSet ds = new DataSet();
            ds = tarifario.ObterTarifarios(FrmPrincipal.login, FrmPrincipal.password);
            if (ds != null && ds.Tables.Count > 0 && ds.Tables[0].Rows.Count > 0)
            {
                //CmbTarifarios.Items.Add((object)"Tarifrios");
                ds = tarifario.ObterTarifarios(FrmPrincipal.login, FrmPrincipal.password);
                foreach (DataRow dr in ds.Tables[0].Rows)
                {
                    CmbTarifarios.Items.Add((object)dr["codTarifario"].ToString()+dr["descricao"].ToString());
                }
            }
            else
                CmbTarifarios.Items.Add((object)"teste");
        }

        private void BtnSair_Click(object sender, EventArgs e)
        {
            this.Visible = false;
            this.Close();

        }
    }
}

