using System;
using System.Collections.Generic;
using System.Text;
using ModuloComum;

namespace Telecomunicacoes
{
    public interface IUtilizador
    {
        /// <summary>
        /// Mtodo que verifica as "credenciais" do utilizador e caso este seja vlido devolve o tipo de utilizador
        /// em causa.
        /// </summary>
        /// <param name="login">Login do utilizadir a validar.</param>
        /// <param name="password">Password do utilizador a validar.</param>
        /// <returns></returns>
        TelecomunicacoesEnum.EnumGeral ValidaUtilizador(string login, string password);
        /// <summary>
        /// Mtodo que permite obter o nome de um utilizador
        /// </summary>
        /// <param name="login">Login do utilizador autenticado.</param>
        /// <param name="password">Password do utilizador autenticado no sistema.</param>
        /// <param name="loginAPesquisar">Login do utilizador do qual se pretende saber o nome</param>
        /// <returns>String com o nome do utilizador ou uma string vazia se o utilizador no existe.</returns>
        string ObterNome(string login, string password, string loginAPesquisar);

    }
}
