using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
using ModuloComum;

namespace Telecomunicacoes
{

    internal class Utilizador:IUtilizador 
    {
        //private string login;
        //private string password;
        //private string nome;
        /// <summary>
        /// Mtodo responsvel por vazer a autenticao do utilizador no sistema e verificar se o
        /// utilizador  ou no vlido, o enumerrio retornado indica o tipo de utilizador em causa, 
        /// caso seja invlido indica que o utilizador  invlido.
        /// </summary>
        /// <param name="login">Login do utilizador a validar</param>
        /// <param name="password">Password do utilizador a validar</param>
        /// <returns>Enumerrio que caracteriza o utilizador como vlido ou invlido</returns>
        public TelecomunicacoesEnum.EnumGeral ValidaUtilizador(string login, string password)
        {
            DataSet ds = new DataSet();
            object[] parms = new object[] {
		  					"@login", OleDbType.WChar,login,
                            "@password",OleDbType.WChar,password,
		  					};
            ds=UtilBD.ExecuteDataSet("select codUtilizador,nome,tipoUtilizador,login,password from tblUtilizadores where login=? and password=?",parms);
            if (ds.IsInitialized)
            {
                if (ds.Tables.Count > 0 && ds.Tables[0].Rows.Count > 0)
                {
                    if (ds.Tables[0].Rows[0]["TipoUtilizador"].ToString() == "1")
                    {
                        //Utilizador supervisor
                        return TelecomunicacoesEnum.EnumGeral.UTILIZADOR_SUPERVISOR;
                    }
                    else
                    {
                        //Utilizador Operador
                        return TelecomunicacoesEnum.EnumGeral.UTILIZADOR_OPERADOR;
                    }
                }
                else
                    return TelecomunicacoesEnum.EnumGeral.UTILIZADOR_INVALIDO;
            }
            else
                return TelecomunicacoesEnum.EnumGeral.UTILIZADOR_INVALIDO;
            
        }

        public string ObterNome(string login, string password, string loginAPesquisar)
        {
            return null;

        }
 
    }

}
