using System;
using System.Collections.Generic;
using System.Text;

namespace ModuloComum
{
    public static class TelecomunicacoesEnum
    {
        /// <summary>
        /// Enmerrios a aplicar
        /// [1;100] Resultado de operaes genricas com sucesso. [-1;-100]Operaes genricas com  insucesso
        /// [101;200] Resultados com operaes do Tipo Utilizador com sucesso,[-101;-200] Resultado de operaes relacionadas com utilizadores com insucesso
        /// [201;300] Resultados com operaes de cartes invlidos; [-201;301] Resultado de operaes de cartes vlidas;
        /// [301;400] Resultado com operaes ralacionadas com cartes vlidas; [-301;-400] Operaes Relacionadas com cartes invlidas;
        /// 
        /// </summary>
        public enum EnumGeral
        {
            //Operaes genricas
            OPERACAO_REALIZADA_COM_SUCESSO=1,
            OPERACAO_REALIZADA_COM_INSUCESO=-1,
            ERRO_BD_ABERTURA=-2,
            ERRO_BD_COMANDO=-3,
            ERRO_CONVERSAO_VALORES=-4,

            //Operaes Relacionadas com utilizadores
            UTILIZADOR_INVALIDO=-101,
            UTILIZADOR_PASSWORD_INVALIDA=-102,
            UTILIZADOR_AUTENTICACAO_SUCESSO=101,
            UTILIZADOR_ADMINISTRADOR=102,
            UTILIZADOR_SUPERVISOR=103,
            UTILIZADOR_OPERADOR=104,

            //Operaes Relacionadas com cartes
            CARTAO_SEM_SALDO = -201,
            CARTAO_INACTIVO_FALTA_PAGAMENTO =-202,
            CARTAO_CANCELADO_FURTO=-203,
            CARTAO_INACTIVO_OUTROS=-204,
            CARTAO_INVALIDO=-205,
            CARTAO_ACTIVO=201,
            CARTAO_ASSINATURA=202,
            CARTAO_RECARREGAVEL=203,
        }
    }
}
