using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ModuloComum;
using Telecomunicacoes;

namespace TeleCS
{
    public partial class FrmLogin : TeleCS.FrmPrincipal
    {
        public FrmLogin()
        {
            InitializeComponent();
        }

        private void BtnLoginOk_Click(object sender, EventArgs e)
        {
            if (TxtLogin.Text.Length > 2 && TxtPassword.Text.Length > 2)
            {
                LblMensagensErro.Text = "";
                IUtilizador utilizador = Factory.CriaServicoUtilizador();
                TelecomunicacoesEnum.EnumGeral enumerario;
                enumerario=utilizador.ValidaUtilizador(TxtLogin.Text, TxtPassword.Text);
                if (enumerario == TelecomunicacoesEnum.EnumGeral.UTILIZADOR_INVALIDO)
                {
                    FrmPrincipal.tipoUtilizador = enumerario;
                    FrmPrincipal.login = "";
                    FrmPrincipal.password = "";
                    FrmPrincipal.nomeUtilizador = "";
                    LblMensagensErro.Text = "Login / Password incorrectas";
                }
                else
                {
                    FrmPrincipal.tipoUtilizador = enumerario;
                    FrmPrincipal.login = TxtLogin.Text;
                    FrmPrincipal.password = TxtPassword.Text;
                    LblMensagensErro.Text = "Sucesso";
                    string nome = "";

                    nome=utilizador.ObterNome(TxtLogin.Text, TxtPassword.Text, TxtLogin.Text);
                    FrmPrincipal.nomeUtilizador = nome;
                    
                    MenuPrincipal frm1= new MenuPrincipal();
                    frm1.Show();
                    frm1.Activate();
                    this.Visible = false;
                }
            }
            else
            {
                //Zona em que vai imprimir uma mensagem de erro associada
                LblMensagensErro.Text = "Digite um login ou password vlidos para o sistema.";
                FrmPrincipal.login = "";
                FrmPrincipal.nomeUtilizador = "";
                FrmPrincipal.password = "";
                FrmPrincipal.tipoUtilizador = TelecomunicacoesEnum.EnumGeral.UTILIZADOR_INVALIDO;
            }
        }

        private void BtnLoginCancel_Click(object sender, EventArgs e)
        {
            this.Visible = false;
            this.Dispose();
            Application.Exit();

        }

        private void FrmLogin_Load(object sender, EventArgs e)
        {
            FrmPrincipal.password = "";
            FrmPrincipal.nomeUtilizador = "";
            FrmPrincipal.tipoUtilizador = TelecomunicacoesEnum.EnumGeral.UTILIZADOR_INVALIDO;

        }
    }
}

