using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
using ModuloComum;

namespace Telecomunicacoes
{
    
    internal class Cartao:ICartao
    {
        //private string codigoCartao;

        #region ICartao Members
      
        public int CriaCartao(string login, string password, int numeroTelefoneAssociado, int codigoTarifarioAssociado)

        {
            /*verificar se o nmero est associado a outro carto 
             * Verificar se o par login e password permitem realizar esta operao
             *      se estiver retornar mensagem de erro respectiva 
             *      Se no estiver
             *          Verificar se o cdigo do tarifrio existe
             *          Se existir 
            */
            Utilizador utilizador = new Utilizador();
            if (utilizador.ValidaUtilizador(login, password) == TelecomunicacoesEnum.EnumGeral.UTILIZADOR_INVALIDO)
                return -1;

            else
            {
                Tarifario tarifario = new Tarifario();

                

            }
            return 0;
        }

        public int CriaCartao(string login, string password, int codigoCliente, int numeroTelefoneAssociado, string dataEmissao, float saldoActual, int codigoTarifarioAssociado)
        {
            return 0;
        }
        TelecomunicacoesEnum.EnumGeral ICartao.CriaCartao(string login, string password, string numeroAssociado)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        TelecomunicacoesEnum.EnumGeral ICartao.CriaCartao(string login, string password, string numeroAssociado, int codigoCliente)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        TelecomunicacoesEnum.EnumGeral ICartao.CriaCartao(string login, string password, int codigoPlanoTarifario)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        TelecomunicacoesEnum.EnumGeral ICartao.AssociaNumeroAoCartao(string login, string password, string numeroCartao, string numeroTelefone)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        string ICartao.ObterNumeroDeCartao(string login, string password, string numeroTelefone)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        TelecomunicacoesEnum.EnumGeral ICartao.AlteraPlanoTarifario(string login, string password, string numeroTelefone, string numeroCartao, int codigoTarifa)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        TelecomunicacoesEnum.EnumGeral ICartao.CancelarCartao(string login, string password, string numeroCartao, string numeroTelefone)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        TelecomunicacoesEnum.EnumGeral ICartao.GerarFacturas(string login, string password, DateTime dataInicio, DateTime dataFim)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        TelecomunicacoesEnum.EnumGeral ICartao.GerarFacturas(string login, string password, DateTime dataInicio, DateTime dataFim, string numeroTelefone)
        {
            throw new Exception("The method or operation is not implemented.");
        }

        #endregion
        /// <summary>
        /// Obtem os detalhes do carto Activo no sistema com o nmero indicado
        /// </summary>
        /// <param name="numeroTelefone">Nmero de telefone associado</param>
        /// <returns>Detalhes do carto</returns>
        public DataSet ObterDetalhesCartaoActivo(string numeroTelefone)
        {
            
            UtilBD conexao = new UtilBD();
            object[] parms = new object[] {
		  					"@numeroTelefoneAssociado", OleDbType.Integer,numeroTelefone,
		  					};
            DataSet ds = new DataSet();
            ds=UtilBD.ExecuteDataSet("select tblCartoes.codCartao,tblCartoes.codCliente,tblCartoes.numeroTelefoneAssociado,tblCartoes.dataEmissao,tblCartoes.saldoActual,tblCartoes.cancelado,tblCartoes.tarifario,tblTarifarios.tipoTarifario,tblTarifarios.descricao,tblTarifarios.dataInicioTarifario,tblTarifarios.valorComissao  from tblCartoes inner join tblTarifarios on tblCartoes.tarifario=tblTarifarios.codTarifario where numeroTelefoneAssociado=?",parms);

            if (ds != null && ds.Tables != null && ds.Tables.Count > 0 && ds.Tables[0].Rows.Count > 0)
            {
                //retornou dados, o carto existe.
                int contador = 0;
                foreach (DataRow dr in ds.Tables[0].Rows)
                {
                    if (Convert.ToBoolean(dr["cancelado"]))
                    {
                        ds.Tables[0].Rows[contador].Delete();
                    }
                    contador++;
                }
                return ds;
            }
            else
            {
                return null;
            }
        }
    }

}
